#ifndef __DirWindow_h
#define __DirWindow_h
//=============================================================================
//
//	Copyright (C) 1995-1999 by Paul S. McCarthy and Eric Sunshine.
//		Written by Paul S. McCarthy and Eric Sunshine.
//			    All Rights Reserved.
//
//	This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the authors
//	and its use is governed by the MiscKit license, found in the file
//	"License.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//
//=============================================================================
//-----------------------------------------------------------------------------
// DirWindow.h
//
//	Manages window which displays directory listing.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: DirWindow.h,v 1.4 99/06/29 08:13:10 sunshine Exp $
// $Log:	DirWindow.h,v $
// Revision 1.4  99/06/29  08:13:10  sunshine
// v35: +launchDir: now returns (void) rather than (id).
// 
// Revision 1.3  97/11/14  11:54:00  zarnuk
// v32 -- added row-numbers switch.
// 
// Revision 1.2  97/02/05  08:13:41  sunshine
// v29: Added 'writable' flag to prevent cmd-r from working in readonly dirs.
//-----------------------------------------------------------------------------
#import <objc/Object.h>
@class Button, MiscTableScroll, TextField, Window;

@interface DirWindow : Object
    {
    MiscTableScroll*	scroll;
    Window*		window;
    Button*		autoSortSwitch;
    Button*		cdButton;
    Button*		dragUnscaledSwitch;
    Button*		hiddenFilesSwitch;
    Button*		highlightSwitch;
    Button*		refreshButton;
    Button*		rowNumbersSwitch;
    TextField*		countField;
    char*		path;
    BOOL		writable;
    BOOL		autoSort;
    BOOL		dragUnscaled;
    BOOL		highlightDirs;
    BOOL		showHidden;
    }

+ (void)launchDir:(char const*)dirname;

@end

#endif // __DirWindow_h
