#ifndef __SD_PageLayout_h
#define __SD_PageLayout_h
//=============================================================================
//
//	Copyright (C) 1996-1999 by Paul S. McCarthy and Eric Sunshine.
//		Written by Paul S. McCarthy and Eric Sunshine.
//			    All Rights Reserved.
//
//	This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the authors
//	and its use is governed by the MiscKit license, found in the file
//	"License.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//
//=============================================================================
//-----------------------------------------------------------------------------
// "SD_PageLayout.h"
//
//	Custom subclass of AppKit's PageLayout panel that adds user controls
//	for margins, pagination, & centering.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: SD_PageLayout.h,v 1.2 99/06/29 08:02:16 sunshine Exp $
// $Log:	SD_PageLayout.h,v $
// Revision 1.2  99/06/29  08:02:16  sunshine
// v35: Synchronized with ScrollDir v35.1 for OpenStep.  Cleaned up comments.
// 
//-----------------------------------------------------------------------------
#import	<appkit/PageLayout.h>
@class TextField, Matrix;

@interface SD_PageLayout : PageLayout
    {
    Window*	accessoryWindow;
    TextField*	leftMarginField;
    TextField*	topMarginField;
    TextField*	rightMarginField;
    TextField*	bottomMarginField;
    Matrix*	centerMatrix;
    Matrix*	paginationMatrix;
    }
@end

#endif // __SD_PageLayout_h
