#ifndef __MiscTableScroll_IBConnector_h
#define __MiscTableScroll_IBConnector_h
//=============================================================================
//
//	Copyright (C) 1996-1999 by Paul S. McCarthy and Eric Sunshine.
//		Written by Paul S. McCarthy and Eric Sunshine.
//			    All Rights Reserved.
//
//	This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the authors
//	and its use is governed by the MiscKit license, found in the file
//	"License.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	
//=============================================================================
//-----------------------------------------------------------------------------
// IBConnector.h
//
//	The declarations of Interface Builder's private connection classes:
//	IBConnector, IBOutletConnector, and IBControlConnector.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: IBConnector.h,v 1.2 99/06/29 07:17:58 sunshine Exp $
// $Log:	IBConnector.h,v $
// Revision 1.2  99/06/29  07:17:58  sunshine
// v140: Cleaned up.  Added copyright notice.
// 
//-----------------------------------------------------------------------------
extern "Objective-C" {
#import	<objc/Object.h>
#import <apps/InterfaceBuilder.h>
}

@interface IBConnector : Object<IBConnectors>
    {
    id source;
    id destination;
    id label;
    }

- (id)initSource:(id)src destination:(id)dst label:(id)label;
- (id)free;
- (id)source;
- (id)destination;
- (id)label;
- (id)setLabel:(id)label;

- (id)displayConnection;
- (id)establishConnection;
- (id)getIBPrintName;
- (id)nibInstantiate;
- (id)renewObject:(id)from to:(id)to;

- (id)read:(NXTypedStream*)s;
- (id)write:(NXTypedStream*)s;

@end

@interface IBOutletConnector : IBConnector
- (id)establishConnection;
@end

@interface IBControlConnector : IBConnector
- (id)getIBPrintName;
- (id)establishConnection;
@end

#endif // __MiscTableScroll_IBConnector_h
