#ifndef __MiscTableConnector_h
#define __MiscTableConnector_h
//=============================================================================
//
//	Copyright (C) 1996,1999 by Paul S. McCarthy and Eric Sunshine.
//		Written by Paul S. McCarthy and Eric Sunshine.
//			    All Rights Reserved.
//
//	This notice may not be removed from this source code.
//
//	This object is included in the MiscKit by permission from the authors
//	and its use is governed by the MiscKit license, found in the file
//	"License.rtf" in the MiscKit distribution.  Please refer to that file
//	for a list of all applicable permissions and restrictions.
//	
//=============================================================================
//-----------------------------------------------------------------------------
// MiscTableConnector.h
//
//	A custom subclass of the internal Interface Builder
//	IBControlConnector class that works for doubleTarget / doubleAction.
//
//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
// $Id: MiscTableConnector.h,v 1.3 99/06/29 07:40:18 sunshine Exp $
// $Log:	MiscTableConnector.h,v $
// Revision 1.3  99/06/29  07:40:18  sunshine
// v140: No longer includes <apps/InterfaceBuilder.h> since the included
// IBConnector.h now does so.
// 
// Revision 1.2  96/04/23  02:32:33  sunshine
// Removed all of the NEXTSTEP 3.3 Foundation Kit specific code.  Now default
// implementation only contains enough methods to reestablish connections at
// nib load time.  This is necessary in order for these nibs to be loadable
// on 3.2 machines (into applications, but *not* IB).
//-----------------------------------------------------------------------------
#import	"IBConnector.h"

@interface MiscTableConnector:IBControlConnector
    {
    char* outletName;	// Name of "target" outlet.
    char* actionName;	// Name of "action" variable.
    char* selectorName;	// Name of selector sent to "target".
    }

- (id)free;
- (id)read:(NXTypedStream*)stream;
- (id)establishConnection;
- (void)clone:(char const*)s into:(char**)p;
- (void)freeString:(char*)s;

@end

#endif // __MiscTableConnector_h
